Available buyer market: Korean
You can get category details by calling this api with a displayCategoryCode value.
To get "Depth 1" categories, use "0" as the displayCategoryCode.
Path
GET
/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories/{displayCategoryCode}
Example Endpoint
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories/0
Request Parameters
Path Segment Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| displayCategoryCode | O | String |
display category code
|
||||
Request Example
not require body
Response Message
| Name | Type | Description | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | String |
results code
SUCCESS/ERROR
|
||||||||||||
| message | String |
message
|
||||||||||||
| data | Array |
display category list
repeats N times, as many as the resulting display categories
|
||||||||||||
| displayCategoryCode | String |
display category code
|
||||||||||||
| name | String |
display category name
|
||||||||||||
| status | String |
display category status
|
||||||||||||
| child | String |
sub-category that is displayed to the customers
It shows the list of sub-categories that are one depth lower than the given category code (does not show two+ depths lower child categories).
If it doesn't have any child category, null or blank will be returned.
To get "Depth 1" categories, use "0" as the displayCategoryCode.
|
||||||||||||
Response Example
{
"code": "SUCCESS",
"message": "",
"data": {
"displayItemCategoryCode": 0,
"name": "ROOT",
"status": "ACTIVE",
"child": [
{
"displayItemCategoryCode": 77834,
"name": "가구/홈데코",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 62588,
"name": "가전/디지털",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 66679,
"name": "도서",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 79648,
"name": "문구/오피스",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 65799,
"name": "반려/애완용품",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 56112,
"name": "뷰티",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 63897,
"name": "생활용품",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 103371,
"name": "스포츠/레져",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 59258,
"name": "식품",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 102984,
"name": "완구/취미",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 79138,
"name": "음반/DVD",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 78647,
"name": "자동차용품",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 80285,
"name": "주방용품",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 76844,
"name": "출산/유아동",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 69182,
"name": "패션의류잡화",
"status": "ACTIVE",
"child": []
}
]
}
}
Error Spec
| HTTP Status Code (Error Type) | Error Message | Solution |
|---|---|---|
| 400 (check parameter requested) | Cannot find display category [****]. Please check display category code. | See if you have entered a valid display category code. |
| 400 (check parameter requested) |
Display category code should be numeric. |
See if you have entered a valid display category. Display category code is composed of numbers only. |